package com.artfess.bpm.plugin.task.startnewflow.def;

import com.artfess.bpm.plugin.core.plugindef.AbstractBpmTaskPluginDef;
import com.artfess.bpm.plugin.task.startnewflow.entity.StartConfig;
import com.artfess.bpm.plugin.task.startnewflow.entity.StartNewFlowConfig;

import java.util.List;

public class StartNewFlowPluginDef extends AbstractBpmTaskPluginDef {

	/**
	 *
	 */
	private static final long serialVersionUID = -2787890606261585685L;
	private List<StartConfig> startConfigList;

	public List<StartConfig> getStartConfigList() {
		return startConfigList;
	}
	public void setStartConfigList(List<StartConfig> startConfigList) {
		this.startConfigList = startConfigList;
	}

	public StartNewFlowConfig getStartNewFlowConfig(){
		StartNewFlowConfig startConfigs = new StartNewFlowConfig();
		startConfigs.setStartConfig(startConfigList);
		return startConfigs;
	}

}
